aboutsummaryrefslogtreecommitdiff
path: root/scripts/single.sh
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2019-12-20 15:12:30 -0600
committerRob Landley <rob@landley.net>2019-12-20 15:12:30 -0600
commitc795f1b32487df79c43998aa13745ddf5d3eb44c (patch)
tree3b105600ae51a893c8e98066421795c8969a7308 /scripts/single.sh
parent4c9b771fbe177710788273f792a220b756e7cad7 (diff)
downloadtoybox-c795f1b32487df79c43998aa13745ddf5d3eb44c.tar.gz
Making sh single build work broke other single builds. Fix them again.
Diffstat (limited to 'scripts/single.sh')
-rwxr-xr-xscripts/single.sh10
1 files changed, 4 insertions, 6 deletions
diff --git a/scripts/single.sh b/scripts/single.sh
index 41d1e33e..c40c6bcf 100755
--- a/scripts/single.sh
+++ b/scripts/single.sh
@@ -41,17 +41,15 @@ do
then
DEPENDS="$(sed -n 's/USE_\([^(]*\)(NEWTOY([^,]*,.*TOYFLAG_MAYFORK.*/\1/p' toys/*/*.c)"
else
- MPDEL="-e 's/CONFIG_TOYBOX=y/# CONFIG_TOYBOX is not set/;t'"
+ MPDEL='s/CONFIG_TOYBOX=y/# CONFIG_TOYBOX is not set/;t'
fi
# Enable stuff this command depends on
- DEPENDS="$({ echo $DEPENDS; sed -n "/^config *$i"'$/,/^$/{s/^[ \t]*depends on //;T;s/[!][A-Z0-9_]*//g;s/ *&& */|/g;p}' $TOYFILE ;}| xargs | tr ' ' '|')"
-
+ DEPENDS="$({ echo $DEPENDS; sed -n "/^config *$i"'$/,/^$/{s/^[ \t]*depends on //;T;s/[!][A-Z0-9_]*//g;s/ *&& */|/g;p}' $TOYFILE; sed -n 's/CONFIG_\(TOYBOX_[^=]*\)=y/\1/p' .config;}| xargs | tr ' ' '|')"
NAME=$(echo $i | tr a-z- A-Z_)
- sed -ri $MPDEL \
+ sed -ri -e "$MPDEL" \
-e "s/# (CONFIG_($NAME|${NAME}_.*${DEPENDS:+|$DEPENDS})) is not set/\1=y/" \
- "$KCONFIG_CONFIG" &&
- grep "CONFIG_TOYBOX_" .config >> "$KCONFIG_CONFIG" || exit 1
+ "$KCONFIG_CONFIG" || exit 1 #&& grep "CONFIG_TOYBOX_" .config >> "$KCONFIG_CONFIG" || exit 1
export OUTNAME="$PREFIX$i"
rm -f "$OUTNAME" &&